//
// Copyright (C) Stanislaw Adaszewski, 2020
// Contact: s.adaszewski@gmail.com
// Website: https://adared.ch/wba
// License: GNU Affero General Public License, Version 3
//

import { h } from 'preact';

function wbFormatDate(dateStr) {
  if (!dateStr)
    return (
      <i>{ String(dateStr) }</i>
    );
  let date = new Date(dateStr);
  return date.toLocaleString();
}

export default wbFormatDate;
