//
// Copyright (C) Stanislaw Adaszewski, 2020
// Contact: s.adaszewski@gmail.com
// Website: https://adared.ch/wba
// License: GNU Affero General Public License, Version 3
//

function encodeURIComponentIncludingDots(s) {
  return encodeURIComponent(s).replace('.', '%2E');
}

function parseKeepRef(value) {
  if (value && typeof(value) === 'object' && 'location' in value && value.location.startsWith('keep:'))
    return value.location.substr(5);
  return value;
}

export { encodeURIComponentIncludingDots, parseKeepRef }
